/**
 * {间隔组件}
 * @author yutent<yutent.io@gmail.com>
 * @date 2023/03/06 15:17:25
 */

import { css, html, Component } from 'wkit'

class Space extends Component {
  static styles = css`
    :host {
      display: block;
    }
    .container {
      --gaps: var(--wc-space-gap, 12px);
      display: flex;
      flex-wrap: wrap;
      align-items: center;
      width: 100%;
      padding: calc(var(--gaps) / 2) 0;
      gap: var(--gaps);
    }
    :host([vertical]) {
      .container {
        flex-direction: column;
      }
    }
    :host([justify]) {
      .container {
        justify-content: space-between;
      }
    }
  `

  render() {
    return html`<div class="container"><slot></slot></div>`
  }
}

Space.reg('space')
