/**
 * {上传组件}
 * @author yutent<yutent.io@gmail.com>
 * @date 2023/04/28 16:14:10
 */

import { css, html, Component, bind, unbind } from 'wkit'
import '../base/button.js'

class Uploader extends Component {
  static props = {
    value: [],
    tips: 'str!',
    allow: '*/*',
    maxSize: 0,
    limit: 0,
    drag: false,
    multiple: false,
    disabled: false
  }

  static styles = [
    css`
      :host {
        display: flex;
        width: 100%;
      }

      .container {
        position: relative;
        -webkit-user-select: none;
        user-select: none;
      }
    `,
    // grid
    css`
      :host([grid]) {
      }
    `,

    // drag
    css`
      :host([drag]) {
      }
    `,
    // thumb
    css``,
    // disabled
    css`
      :host([disabled]) {
        cursor: not-allowed;
        opacity: 0.6;

        .thumb::before {
          cursor: not-allowed;
          transform: unset;
        }
      }
    `
  ]

  render() {
    return html`
      <main class="container">
        <header>
          <div class="action-area">
            <wc-button icon="upload"></wc-button>
          </div>
          <cite class="tips">${this.tips}</cite>
        </header>
      </main>
    `
  }
}

Uploader.reg('uploader')
